Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0048580
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajorhave not tried2022-02-11 14:352022-02-22 09:40
ReporterguilleaerView Statuspublic 
Assigned Toebecerra 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0048580: 2693: Tax engine is not working well when several tax zones are defined

DescriptionDoing specific configuration of taxes could lead in wrong behavior because taxes engine is not using correctly tax rate information

Steps To ReproduceSee: https://docs.google.com/document/d/183R2Z4FUNSpn3vAKUCJnPNeXI_qNy8szInxdztPaidA/edit?usp=sharing [^]
Proposed Solutionreview joinRuleAndZone file
TagsNo tags attached.
Attached Filesdiff file icon joinRuleAndZone.diff [^] (1,597 bytes) 2022-02-17 12:43 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0048639RR22Q2 closedebecerra Retail Modules 0048580: Tax engine is not working well when several tax zones are defined 
related to backport 0048642RR21Q4.4 closedebecerra Retail Modules 0048580: Tax engine is not working well when several tax zones are defined 
related to backport 0048641RR22Q1.1 closedebecerra Retail Modules 0048580: Tax engine is not working well when several tax zones are defined 
depends on backport 0048581TAP closedebecerra POS2 2693: Tax engine is not working well when several tax zones are defined 
related to defect 0049614 closedsebastien_liron Openbravo Localizations Wrong tax calculation for sales to exempt customers (conflict between Metropolitan/DOMTOM tax) 

-  Notes
(0135082)
hgbot (developer)
2022-02-17 12:52

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/724 [^]
(0135156)
hgbot (developer)
2022-02-21 09:04

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.taxes/-/merge_requests/12 [^]
(0135175)
hgbot (developer)
2022-02-21 12:20

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 604c2031404c1eac1596627b6a839669d1f1c3a4
Author: Eduardo Becerra (OB) <eduardo.becerra@openbravo.com>
Date: 21-02-2022 12:19:43
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/604c2031404c1eac1596627b6a839669d1f1c3a4 [^]

Fixes ISSUE-48580: Tax engine is not working well when several tax zones are defined

---
M web/org.openbravo.retail.posterminal/app/model/business-logic/taxes-engine/engine/tax-engine.js
---
(0135176)
hgbot (developer)
2022-02-21 12:20

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/724 [^]
(0135177)
hgbot (developer)
2022-02-21 12:21

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.taxes [^]
Changeset: 0fc6bfbc84cec403053c8d5109afb5d789ea1f7e
Author: Eduardo Becerra (OB) <eduardo.becerra@openbravo.com>
Date: 21-02-2022 11:21:02
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.taxes/-/commit/0fc6bfbc84cec403053c8d5109afb5d789ea1f7e [^]

Related ISSUE-48580: Add a new test to check multiples taxes by regions

---
A src-test/org/openbravo/taxes/test/data/TaxesTestData55.java
M src-test/org/openbravo/taxes/test/base/Tax.java
M src-test/org/openbravo/taxes/test/base/model/TaxZone.java
M src-test/org/openbravo/taxes/test/base/model/TaxesRule.java
M src-test/org/openbravo/taxes/test/base/model/TaxesRulesScenario.java
M src-test/org/openbravo/taxes/test/data/TaxesTestData54.java
M src-test/org/openbravo/taxes/test/unittests/TaxesTest.java
M src-test/org/openbravo/taxes/test/util/TaxesTestConstants.java
---
(0135178)
hgbot (developer)
2022-02-21 12:21

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.taxes/-/merge_requests/12 [^]
(0135179)
hgbot (developer)
2022-02-21 12:24

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: e3593248e884ae4231bdb7b5700da25da21c76fd
Author: Álvaro Ferraz <alvaro.ferraz@openbravo.com>
Date: 21-02-2022 12:23:50
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/e3593248e884ae4231bdb7b5700da25da21c76fd [^]

Related to ISSUE-48580: Update copyright

---
M web/org.openbravo.retail.posterminal/app/model/business-logic/taxes-engine/engine/tax-engine.js
---
(0135201)
hgbot (developer)
2022-02-22 08:28

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 5964de2f2d152109ce379227a3e376318ae18c9c
Author: Eduardo Becerra (OB) <eduardo.becerra@openbravo.com>
Date: 22-02-2022 08:26:40
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/5964de2f2d152109ce379227a3e376318ae18c9c [^]

Fixes ISSUE-48580: Tax engine is not working well when several tax zones are defined

---
M web/org.openbravo.retail.posterminal/app/model/business-logic/taxes-engine/engine/tax-engine.js
---
(0135202)
hgbot (developer)
2022-02-22 08:28

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: d60e7836e16303cb868f83b378162bf34668ffef
Author: Álvaro Ferraz <alvaro.ferraz@openbravo.com>
Date: 22-02-2022 08:27:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/d60e7836e16303cb868f83b378162bf34668ffef [^]

Related to ISSUE-48580: Update copyright

---
M web/org.openbravo.retail.posterminal/app/model/business-logic/taxes-engine/engine/tax-engine.js
---

- Issue History
Date Modified Username Field Change
2022-02-11 14:35 guilleaer New Issue
2022-02-11 14:35 guilleaer Assigned To => ebecerra
2022-02-11 14:35 guilleaer Triggers an Emergency Pack => No
2022-02-11 14:35 guilleaer Status new => scheduled
2022-02-14 10:18 hgbot Note Added: 0134952
2022-02-17 12:41 ebecerra Steps to Reproduce Updated View Revisions
2022-02-17 12:43 ebecerra File Added: joinRuleAndZone.diff
2022-02-17 12:45 hgbot Note Added: 0135081
2022-02-17 12:52 hgbot Note Added: 0135082
2022-02-21 09:04 hgbot Note Added: 0135156
2022-02-21 12:20 hgbot Resolution open => fixed
2022-02-21 12:20 hgbot Status scheduled => closed
2022-02-21 12:20 hgbot Fixed in Version => RR22Q2
2022-02-21 12:20 hgbot Note Added: 0135175
2022-02-21 12:20 hgbot Note Added: 0135176
2022-02-21 12:21 hgbot Note Added: 0135177
2022-02-21 12:21 hgbot Note Added: 0135178
2022-02-21 12:24 hgbot Note Added: 0135179
2022-02-21 12:26 guilleaer Note Deleted: 0134952
2022-02-21 12:26 guilleaer Note Deleted: 0135081
2022-02-21 13:35 guilleaer Status closed => new
2022-02-21 13:35 guilleaer Resolution fixed => open
2022-02-21 13:35 guilleaer Fixed in Version RR22Q2 =>
2022-02-21 13:35 guilleaer Status new => scheduled
2022-02-21 13:35 guilleaer Status scheduled => resolved
2022-02-21 13:35 guilleaer Resolution open => fixed
2022-02-21 13:35 guilleaer Status resolved => closed
2022-02-22 08:28 hgbot Fixed in Version => RR22Q1.1
2022-02-22 08:28 hgbot Note Added: 0135201
2022-02-22 08:28 hgbot Note Added: 0135202
2022-02-22 09:38 guilleaer Relationship added related to 0048639
2022-02-22 09:39 guilleaer Relationship added depends on 0048641
2022-02-22 09:39 guilleaer Relationship added related to 0048642
2022-02-22 09:40 guilleaer Relationship deleted depends on 0048641
2022-02-22 09:40 guilleaer Relationship added related to 0048641
2022-07-13 15:10 aferraz Relationship added related to 0049614


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker